local cv_blood = CV_RegisterVar{"blood", "On", CV_NETVAR, CV_OnOff}


COM_AddCommand("commands", function(p)
	CONS_Printf(p, "blood, sandbox, flamethrower, puyomode ringregrab - Type one of these commands to view more information on them.\nSF94Version - Re-displays your SF94-Serv version number.")
end)

COM_AddCommand("orderempanada", function(p, on)
	COM_BufInsertText(p, "say /me has ordered a delicious empanada.")
end, 0)

/*COM_AddCommand("puyomode", function(p, on)
	if not p then return end

	if on then
		on = on:lower()
	end

	if on == "on" or on == "yes" or on == "true" or on == "1" then
		mobjinfo[MT_REDRING].spawnstate = S_SF94_2380
		mobjinfo[MT_REDRING].deathstate = S_SF94_2335
		sf94.infoMsg(p, "Puyo Mode enabled")
	elseif on == "off" or on == "no" or on == "false" or on == "0" then
		mobjinfo[MT_REDRING].spawnstate = S_SF94_1795
		mobjinfo[MT_REDRING].deathstate = S_SF94_1799
		sf94.infoMsg(p, "Puyo Mode disabled")
	else
		CONS_Printf(p, "Puyo Mode. This is disabled by default. When enabled, redrings are replaced with Puyo spawners. When a Puyo spawner hits something, it creates a Puyo. When a Puyo is popped, a Giant Nuisance Puyo will shoot a small Nuisance Puyo at you.")
	end
end, 1)

COM_AddCommand("sandbox", function(p, on)
	if not p then return end

	if on then
		on = on:lower()
	end

	if on == "on" or on == "yes" or on == "true" or on == "1"
		mobjinfo[MT_REDRING].spawnhealth = 1000
		mobjinfo[MT_REDRING].deathstate = S_SF94_1868
		mobjinfo[MT_THROWNGRENADE].spawnstate = S_THROWNGRENADE1
		mobjinfo[MT_THROWNGRENADE].deathstate = S_SF94_1872
		mobjinfo[MT_THROWNSCATTER].deathstate = S_SF94_1959
		mobjinfo[MT_THROWNSCATTER].flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE
		sf94.infoMsg(p, "Sandbox Mode enabled")
	elseif on == "off" or on == "no" or on == "false" or on == "0"
		mobjinfo[MT_REDRING].spawnhealth = 1
		mobjinfo[MT_REDRING].deathstate = S_SF94_1799
		mobjinfo[MT_THROWNGRENADE].spawnstate = S_THROWNGRENADE1
		mobjinfo[MT_THROWNGRENADE].deathstate = S_RINGEXPLODE
		mobjinfo[MT_THROWNSCATTER].deathstate = S_SF94_1967
		mobjinfo[MT_THROWNSCATTER].flags = MF_SHOOTABLE|MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE
		sf94.infoMsg(p, "Sandbox Mode disabled")
	else
		CONS_Printf(p, "Sandbox Mode, or Free Mode. Disabled by default. When enabled, firing a normal ring will spawn a ball. It can come out as Blue or Red at any time. When this is enabled, you can build things with the balls. Other weapons are not affected, so you can still shoot the balls to make them jump when necessary.")
	end
end, 1)

COM_AddCommand("flamethrower", function(p, on)
	if not p then return end

	if on then
		on = on:lower()
	end

	if on == "on" or on == "yes" or on == "true" or on == "1" then
		local info = mobjinfo[MT_THROWNAUTOMATIC]
		info.spawnstate = S_FLAMEJETFLAME1
		info.seesound = sfx_fire
		info.deathstate = S_NULL
		info.speed = 5*FRACUNIT
		info.radius = 8*FRACUNIT
		info.height = 8*FRACUNIT
		info.damage = 0
		info.flags = MF_NOGRAVITY|MF_MISSILE|MF_FIRE
		sf94.infoMsg(p, "Flamethrower enabled")
	elseif on == "off" or on == "no" or on == "false" or on == "0" then
		local info = mobjinfo[MT_THROWNAUTOMATIC]
		info.spawnstate = S_THROWNAUTOMATIC1
		info.seesound = sfx_thok
		info.deathstate = S_SPRK1
		info.deathsound = sfx_itemup
		info.speed = 60*FRACUNIT
		info.radius = 16*FRACUNIT
		info.height = 24*FRACUNIT
		info.damage = 1
		info.flags = MF_SHOOTABLE|MF_NOGRAVITY|MF_MISSILE
		sf94.infoMsg(p, "Flamethrower disabled")
	else
		CONS_Printf(p, "Flamethrower. It replaces the automatic ring.")
	end
end, 1)

COM_AddCommand("ringregrab", function(p, on)
	if not p then return end

	if on then
		on = on:lower()
	end

	if on == "on" or on == "yes" or on == "true" or on == "1" then
		mobjinfo[MT_REDRING].deathstate = S_SF94_1799
		sf94.infoMsg(p, "Ring-regrab enabled")
	elseif on == "off" or on == "no" or on == "false" or on == "0" then
		mobjinfo[MT_REDRING].deathstate = S_SF94_1967
		sf94.infoMsg(p, "Ring-regrab disabled")
	else
		CONS_Printf(p, "Ring-regrab. Specifies whether redrings or rail rings leave a normal ring behind when they hit something.")
	end
end, 1)*/


addHook("MobjDeath", function(mo)
	if cv_blood.value then
		A_OldRingExplode(mo, MT_SF94_BLOOD)
	end
end, MT_PLAYER)
